## curtin 18.2-10-g7afd77fa

=== debian/changelog ===
curtin (18.2-10-g7afd77fa-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1817964)
    - Support for multi-layers images fsimage-layered:// URI
      [Jean-Baptiste Lallement]
    - dname: relax dname req for disk serial/wwn presence for compatibility
    - flake8: fix some E117 over-indented issues [Paride Legovini]
    - bcache: ensure partitions on bcache devices are detected as partition
    - vmtest: bump skip_by_date out a year for trusty bcache bug
    - Fix typo in doc/topics/integration-testing.rst. [Paride Legovini]
    - flake8: Fix two issues found with new version of flake8
    - clear-holders: handle FileNotFound when probing for bcache device slaves
    - vmtests: network mtu fix-by bump to post 19.04 release
    - vmtest: Fix bug preventing explicit disabling of system_upgrade.
    - Release 18.2
    - Adjust helpers/common to edit GRUB_CMDLINE_LINUX_DEFAULT in place.
    - dname: persistent names based on serial or wwn
    - Fix bug in is_swap_device if a device was smaller than page_size.
    - vmtest: add disco tests [Joshua Powers]
    - unittest: change directory to tmpdir for testing relative files.
    - Add clear-holders to meta-simple
    - vmtests: check install log for Out of memory kernel messages and fail
    - unittest: correctly use tmpdir for my.img [Joshua Powers]
    - block_meta: use wipe config when clearing partitions
    - tests: fix vmtests for apt perserve_source_list changes
    - apt: Use new format apt config when writing preserve_sources_list.
    - vmtests: multipath mount /home with nofail and validate in unittest
    - vmtests: fix common collect scripts to not exit failure.
    - vmtest: handle collect disk unpack failure
    - vmtests: dont use multiple subclasses in uefi 4k tests
    - vmtests: disable snapd/seeding to avoid boot hang
    - jenkins-runner: fix when using --filter only

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 28 Feb 2019 09:45:37 -0600

curtin (18.1-59-g0f993084-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1795712)
    - distro: fix system_upgrade command using string instead of function
    - Capture stdout when using lxc file push
    - vmtest: boot ephemeral with 'ro' on the kernel command line.
    - vmtest: Fix typo in skip-by-date.
    - vmtest: kick skip-by-date for 1671951.
    - tools/jenkins-runner: Error if both filters and tests are given.
    - vmtests: prevent tests from modifying cls.collect_scripts
    - Enable custom storage configuration for centos images
    - vmtest: ensure we collect /var/log/journal only once
    - Don't allow reads of /proc and modprobe zfs through
    - clear-holders: handle missing zpool/zfs tools when wiping
    - clear-holders: rescan for lvm devices after assembling raid arrays
    - vmtest: enable persistent journal and collect at boot time
    - Add timing and logging functions.
    - parse_dpkg_version: support non-numeric in version string.
    - Add main so that 'python3 -m curtin' does the right thing.
    - Add subcommand 'features'.
    - block: use uuid4 (random) when autogenerating UUIDS for filesystems
    - vmtests: Increase size of root filesystems.
    - clear-holders: reread ptable after wiping disks with partitions
    - vmtest: Skip proposed pocket on dev release when 'proposed' in ADD_REPOS.
    - tests: remove Ubuntu Artful [Joshua Powers]
    - vmtests: Let a raised SkipTest go through skip_by_date.
    - vmtests: Increase root fs to give upgrades to -proposed more space.
    - vmtest: Order the vmtest_pollinate late_command earlier.
    - vmtest: always add 'curtin/vmtest' to installed pollinate user_agent.
    - vmtests: make skip_by_date a decorator that runs and reports.
    - vmtests: always declare certain attributes and remove redundant tests.
    - vmtests: Add Cosmic release to tests [Joshua Powers]
    - vmtests: skip TrustyTestMdadmBcache until 2019-01-22.
    - tox: use simplestreams from git repository rather than bzr.
    - document that you can set ptable on raids [Michael Hudson-Doyle]
    - vmtests: move skip-by date of xfs root and xfs boot out 1 year.
    - vmtests: network_mtu move fixby date out 4 months from last value
    - Fix WorkingDir class to support already existing target directory.
    - Fix extraction of local filesystem image.
    - Fix tip-pyflakes imported but unused call to util.get_platform_arch
    - subp: update return value of subp with combine_capture=True.
    - tox: add a xenial environments, default envlist changes.
    - tests: Fix race on utcnow during timestamped curtin-log dir creation
    - curtainer: patch source version from --source.
    - pyflakes: fix unused variable references identified by pyflakes 2.0.0.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 12 Oct 2018 16:30:03 -0400

## curtin 18.2-22

=== Makefile ===
TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
CWD := $(shell pwd)
PYTHON ?= python3
COVERAGE ?= 1
DEFAULT_COVERAGEOPTS = --with-coverage --cover-erase --cover-branches --cover-package=curtin --cover-inclusive 
ifeq ($(COVERAGE), 1)
	coverageopts ?= $(DEFAULT_COVERAGEOPTS)
endif
CURTIN_VMTEST_IMAGE_SYNC ?= False
export CURTIN_VMTEST_IMAGE_SYNC
noseopts ?= -vv --nologcapture

build:

bin/curtin: curtin/pack.py tools/write-curtin
	$(PYTHON) tools/write-curtin bin/curtin

check: unittest

style-check: pep8 pyflakes pyflakes3

coverage: coverageopts ?= $(DEFAULT_COVERAGEOPTS)
coverage: unittest

pep8:
	@$(CWD)/tools/run-pep8

pyflakes:
	@$(CWD)/tools/run-pyflakes

pyflakes3:
	@$(CWD)/tools/run-pyflakes3

unittest:
	nosetests $(coverageopts) $(noseopts) tests/unittests
	nosetests3 $(coverageopts) $(noseopts) tests/unittests

schema-validate:
	@$(CWD)/tools/schema-validate-storage

docs: check-doc-deps
	make -C doc html

check-doc-deps:
	@which sphinx-build && $(PYTHON) -c 'import sphinx_rtd_theme' || \
		{ echo "Missing doc dependencies. Install with:"; \
		  pkgs="python3-sphinx-rtd-theme python3-sphinx"; \
		  echo sudo apt-get install -qy $$pkgs ; exit 1; }

# By default don't sync images when running all tests.
vmtest: schema-validate
	nosetests3 $(noseopts) tests/vmtests

vmtest-deps:
	@$(CWD)/tools/vmtest-system-setup

sync-images:
	@$(CWD)/tools/vmtest-sync-images

clean:
	rm -rf doc/_build

.PHONY: all clean test pyflakes pyflakes3 pep8 build style-check check-doc-deps

## curtin 18.2-22-g08bf6ff7

=== debian/changelog ===
curtin (18.2-22-g08bf6ff7-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Setup kernel-img.conf like base-installer/live-installer did.
      [Dimitri John Ledkov] (LP: #1534162)
    - zfs: pass pool and fs properties to zpool_create
      [Jean-Baptiste Lallement] (LP: #1823682)
    - block_meta: pass lvm_partition size through human2bytes
      [Michael Hudson-Doyle]

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 11 Apr 2019 14:22:33 -0500

curtin (18.2-19-g36351dea-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - clear-holders: refactor bcache shutdown and add longer timeout
      (LP: #1796292)
    - schema-validate-storage: remove unused imports [Paride Legovini]
    - add subcommand schema for storage-config validation
    - clear-holders: wipe raid members at data offsets when not assembled
      (LP: #1815018)
    - Add support for s390 DASD devices
    - vmtest: skip DiscoTestAllindata while initrd lacks crypto modules
    - block_meta: allow passing a dm_crypt key by keyfile
      [Michael Hudson-Doyle]
    - ChrootableTarget: add /run to mounts for redhat targets (LP: #1815666)
    - vmtest: consolidate vm mem config, defaults via release, env override

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 03 Apr 2019 14:46:09 -0500

curtin (18.2-10-g7afd77fa-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Support for multi-layers images fsimage-layered:// URI
      [Jean-Baptiste Lallement]
    - dname: relax dname req for disk serial/wwn presence for compatibility
      (LP: #1735839)
    - flake8: fix some E117 over-indented issues [Paride Legovini]
    - bcache: ensure partitions on bcache devices are detected as partition
    - vmtest: bump skip_by_date out a year for trusty bcache bug
    - Fix typo in doc/topics/integration-testing.rst. [Paride Legovini]
    - flake8: Fix two issues found with new version of flake8
    - clear-holders: handle FileNotFound when probing for bcache device slaves
      (LP: #1811117)
    - vmtests: network mtu fix-by bump to post 19.04 release
    - vmtest: Fix bug preventing explicit disabling of system_upgrade.

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 27 Feb 2019 16:43:21 -0600

curtin (18.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.2).
    - Release 18.2
    - Adjust helpers/common to edit GRUB_CMDLINE_LINUX_DEFAULT in place.
      (LP: #1527664)
    - dname: persistent names based on serial or wwn (LP: #1735839)
    - Fix bug in is_swap_device if a device was smaller than page_size.
      (LP: #1803672)
    - vmtest: add disco tests [Joshua Powers]
    - unittest: change directory to tmpdir for testing relative files.
    - Add clear-holders to meta-simple (LP: #1786736)
    - vmtests: check install log for Out of memory kernel messages and fail
    - unittest: correctly use tmpdir for my.img [Joshua Powers] (LP: #1803611)
    - block_meta: use wipe config when clearing partitions (LP: #1800153)
    - tests: fix vmtests for apt perserve_source_list changes
    - apt: Use new format apt config when writing preserve_sources_list.
      (LP: #1735950)
    - vmtests: multipath mount /home with nofail and validate in unittest
    - vmtests: fix common collect scripts to not exit failure.
    - vmtest: handle collect disk unpack failure
    - vmtests: dont use multiple subclasses in uefi 4k tests
    - vmtests: disable snapd/seeding to avoid boot hang
    - jenkins-runner: fix when using --filter only

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 06 Dec 2018 12:11:01 -0600

## curtin 19.1-7-g37a7a0f4

=== debian/changelog ===
curtin (19.1-7-g37a7a0f4-0ubuntu1~19.04.1) disco; urgency=medium

  * d/control: drop probert dependency, not yet in main (LP: #1831757)
  * New upstream snapshot. (LP: #1831772)
    - vmtests: determine block name via dname when verifying volume groups
    - vmtest: add Centos66/Centos70 FromBionic release and re-add tests
    - block-discover: add cli/API for exporting existing storage to config
    - vmtest: refactor test_network code for Eoan
    - curthoooks: disable daemons while reconfiguring mdadm
      [Michael Hudson-Doyle]
    - mdadm: fix install to existing raid [Michael Hudson-Doyle]
    - apt_proxy env var set but empty => do not setup any proxy
      [Paride Legovini]
    - release 19.1
    - vmtest: add missing skip_by_date on Eoan test_network_mtu
    - vmtest: remove skip_by_date on Disco Allindata test
    - block: support multipath devices in lookup and partition_kname
    - grub: add grub config to control os_prober,terminal settings in target
    - vmtest: add eoan tests [Paride Legovini]
    - vmtest: add dependency on python3-jsonschema [Paride Legovini]
    - Pylint compatibility with Python 3.7 [Paride Legovini]
    - vmtest: disable disco multipath test
    - vmtests: bump network mtu tests out a bit
    - Fix up yaml.load warnings
    - vmtest: disable trusty, it's dead jim
    - vmtest: reenable UEFI 4k tests, which got dropped when fixing
      subclassing.
    - vmtests: Add test_kernel_img_conf stub for PsuedoVMBaseClass
    - curthooks: chzdev_import must encode data if provided
    - vmtest: test for kernel-img conf on ubuntu only

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 05 Jun 2019 13:46:57 -0500

## curtin 19.2-9-g38ce22b0

=== debian/changelog ===
curtin (19.2-9-g38ce22b0-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - vmtest: fix typo in EoanBcacheBasic test name
    - storage schema: Update nvme wwn regex to allow for nvme wwid format
      (LP: #1841321)
    - Allow EUI-64 formatted WWNs for disks and accept NVMe partition naming
      [Reed Slaby] (LP: #1840524)

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 28 Aug 2019 11:40:32 -0500

curtin (19.2-6-g88a1a7ec-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - Makefile: split Python 2 and Python 3 unittest targets apart
  * debian/*: drop python-curtin, making the package Python 3-only.
  * debian/control: drop Build-Depends on linting tools, they haven't been
    used by the upstream test suite in a while.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 21 Aug 2019 13:29:50 -0400

curtin (19.2-5-g44997e86-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - Switch to the new btrfs-progs package name, with btrfs-tools fallback.
      [Dimitri John Ledkov]
    - vmtest: bump ram size on Zfs tests for Disco and Eoan
    - vmtest: drop Cosmic test cases
    - unittests: mock subp in ChrootableTarget _exit_ test cases
    - util.ChrootableTarget: skip rename of resolv.conf if not present in
      target (LP: #1834382)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 15 Aug 2019 12:27:10 -0400

curtin (19.2-0ubuntu1) eoan; urgency=medium

  * New upstream release.
    - Release 19.2 (LP: #1836951)
    - storage_config: a missing ID_PART_TABLE_TYPE key means no ptable
      [Michael Hudson-Doyle]
    - vmtests: drop skip_by_date decorators for bug 1813228
    - block: Add opportunistic zkey encryption if supported
    - vmtests: add support for CURTIN_VMTEST_APT_PROXY
    - vmtests: add use of CURTIN_VMTEST_ prefixed envvars to image sync
    - vmtest: dont raise SkipTest in class definition

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 17 Jul 2019 15:39:33 -0500

curtin (19.1-7-g37a7a0f4-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - vmtests: determine block name via dname when verifying volume groups
    - vmtest: add Centos66/Centos70 FromBionic release and re-add tests
    - block-discover: add cli/API for exporting existing storage to config
    - vmtest: refactor test_network code for Eoan
    - curthoooks: disable daemons while reconfiguring mdadm
      [Michael Hudson-Doyle] (LP: #1829325.)
    - mdadm: fix install to existing raid [Michael Hudson-Doyle] (LP: #1830157)
    - apt_proxy env var set but empty => do not setup any proxy
      [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Wed, 05 Jun 2019 10:45:42 -0600

curtin (19.1-0ubuntu1) eoan; urgency=medium

  * New upstream release.
    - release 19.1
    - vmtest: add missing skip_by_date on Eoan test_network_mtu
    - vmtest: remove skip_by_date on Disco Allindata test
    - block: support multipath devices in lookup and partition_kname
      (LP: #1813228)
    - grub: add grub config to control os_prober,terminal settings in target
    - vmtest: add eoan tests [Paride Legovini]
    - vmtest: add dependency on python3-jsonschema [Paride Legovini]
    - Pylint compatibility with Python 3.7 [Paride Legovini] (LP: #1828229)
    - vmtest: disable disco multipath test
    - vmtests: bump network mtu tests out a bit
    - Fix up yaml.load warnings
    - vmtest: disable trusty, it's dead jim

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 22 May 2019 10:26:52 -0400

curtin (18.2-26-gd8e45d79-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - vmtest: reenable UEFI 4k tests, which got dropped when fixing
      subclassing.
    - vmtests: Add test_kernel_img_conf stub for PsuedoVMBaseClass
    - curthooks: chzdev_import must encode data if provided (LP: #1825007)
    - vmtest: test for kernel-img conf on ubuntu only

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 23 Apr 2019 09:32:56 -0500

=== debian/control ===
Source: curtin
Section: admin
Priority: extra
Standards-Version: 3.9.6
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
               dh-python,
               python3,
               python3-coverage,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-setuptools,
               python3-yaml
Homepage: http://launchpad.net/curtin
X-Python3-Version: >= 3.2

Package: curtin
Architecture: all
Priority: extra
Depends: bcache-tools,
         btrfs-progs | btrfs-tools,
         dosfstools,
         file,
         gdisk,
         lvm2,
         mdadm,
         parted,
         probert,
         python3-curtin (= ${binary:Version}),
         udev,
         xfsprogs,
         ${misc:Depends}
Description: Library and tools for the curtin installer
 This package provides the curtin installer.
 .
 Curtin is an installer that is blunt, brief, snappish, snippety and
 unceremonious.

Package: curtin-common
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Description: Library and tools for curtin installer
 This package contains utilities for the curtin installer.

Package: python3-curtin
Section: python
Architecture: all
Priority: extra
Depends: curtin-common (= ${binary:Version}),
         python3-oauthlib,
         python3-yaml,
         wget,
         ${misc:Depends},
         ${python3:Depends}
Description: Library and tools for curtin installer
 This package provides python3 library for use by curtin.

## curtin 19.3-26-g82f23e3d

=== debian/changelog ===
curtin (19.3-26-g82f23e3d-0ubuntu1~19.10.1) eoan; urgency=medium

  * New upstream snapshot. (LP: #1861452)
    - install-grub: refactor uefi partition/disk searching
    - doc: update Canonical contributors URL [Paul Tobias]
    - block-discover: detect additional "extended" partition types in MBR
    - vmtests: skip focal bcache tests due to kernel bug
    - net/deps.py: detect openvswitch cfg and install openvswitch packages
    - vmtest: collection of vmtest related fixes to make things triple green
    - clear-holders: umap the parent mpath to wipe the underlying partitions
    - vmtests: bump fixby date out and fix false positive when date passes
    - vmtests: drop disco tests using a tool to automate the process

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 14 Feb 2020 09:38:22 -0600

curtin (19.3-17-g50ffca46-0ubuntu1~19.10.1) eoan; urgency=medium

  * New upstream snapshot. (LP: #1861452)
    - clear-holders: ensure we wipe device even if multipath enabled not not mp
    - block_meta: use reliable fs_spec entries for block devices
    - multipath: handle removal of multipath partitions correctly
    - vmtests: skip Focal deploying Centos70 ScsiBasic
    - vmtests: fix network mtu tests, separating ifupdown vs networkd
    - doc: Fix kexec documentation bug. [Mike Pontillo]
    - vmtests: Add Focal Fossa
    - centos: Add centos/rhel 8 support, enable UEFI Secure Boot
      [Lee Trager]
    - Bump XFS /boot skip-by date out a while
    - vmtest: Fix a missing unset of OUTPUT_FSTAB
    - curthooks: handle s390x/aarch64 kernel install hooks
    - clear-holders: handle arbitrary order of devices to clear
    - curthooks: only run update-initramfs in target once
    - test_network_mtu: bump fixby date for MTU tests
    - block-discover: don't skip partitions on virtual devices
    - block-discover: handle partial probe data
    - Fix parsing of squashfs: uri prefix for installation sources
      [Daniel Fox]
    - Release 19.3
    - Update HACKING.rst with Josh Powers contact info.
    - t/jenkins-runner: replace $EPOCHSECONDS with 'date +%s' [Paride Legovini]
    - curthooks: skip setup_kernel_img_conf on eoan and newer
    - block_meta: use lookup for wwn, fix fallback from wwn, serial, path
    - vmtest: Adjust TestScsiBasic to use dnames to find correct disk
    - schema: Add ptable value 'unsupported'
    - tools/xkvm: add -nographic to speed up devopt query
    - test_block_dasd: fix random_device_id to only generate valid IDs
    - vmtest: update skip_if_arch message
    - Add skip_by_date to eoan ipv6 vlan test
    - storage_config: interpret value, not presence, of
      DM_MULTIPATH_DEVICE_PATH [Michael Hudson-Doyle]
    - vmtest: Add skip_by_date for test_ip_output on eoan + vlans
    - block-schema: update raid schema for preserve and metadata
    - dasd: update partition table value to 'vtoc'
    - clear-holders: increase the level for devices with holders by one
    - tests: mock timestamp used in collect-log file creation
    - ChrootableTarget: mount /run to resolve lvm/mdadm issues which
      require it.
    - block-discover: handle multipath disks
    - Handle partial raid on partitions
    - install: export zpools if present in the storage-config
    - block-schema: allow 'mac' as partition table type
    - jenkins-runner: disable the lockfile timeout by default [Paride Legovini]
    - curthooks: use correct grub-efi package name on i386
    - vmtest-sync-images: remove unused imports [Paride Legovini]
    - vmtests: use file locking on the images [Paride Legovini]
    - vmtest: enable arm64 [Paride Legovini]
    - Make the vmtests/test_basic test suite run on ppc64el [Paride Legovini]
    - vmtests: separate arch and target_arch in tests [Paride Legovini]
    - vmtests: new decorator: skip_if_arch [Paride Legovini]
    - vmtests: increase the VM memory for Bionic
    - vmtests: Skip Eoan ZFS Root tests until bug fix is complete
    - util: add support for 'tbz', 'txz' tar format types to sanitize_source
    - net: ensure eni helper tools install if given netplan config
    - d/control: update Depends for new probert package names
      [Dimitri John Ledkov]

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 30 Jan 2020 13:46:56 -0600

## curtin 19.3-27

=== Makefile ===
--- 
+++ 
@@ -31,9 +31,13 @@
 pyflakes3:
 	@$(CWD)/tools/run-pyflakes3
 
-unittest:
+unittest2:
 	nosetests $(coverageopts) $(noseopts) tests/unittests
+
+unittest3:
 	nosetests3 $(coverageopts) $(noseopts) tests/unittests
+
+unittest: unittest2 unittest3
 
 schema-validate:
 	@$(CWD)/tools/schema-validate-storage

## curtin 19.3-27-g437caaa9

=== debian/changelog ===
curtin (19.3-27-g437caaa9-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - block-discover: add dasd parser and emit dasd storage config
      (LP: #1862849)

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 27 Feb 2020 13:11:46 -0600

curtin (19.3-26-g82f23e3d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - install-grub: refactor uefi partition/disk searching (LP: #1862846)
    - doc: update Canonical contributors URL [Paul Tobias]
    - block-discover: detect additional "extended" partition types in MBR
      (LP: #1861251)
    - vmtests: skip focal bcache tests due to kernel bug
    - net/deps.py: detect openvswitch cfg and install openvswitch packages
    - vmtest: collection of vmtest related fixes to make things triple green
    - clear-holders: umap the parent mpath to wipe the underlying partitions
    - vmtests: bump fixby date out and fix false positive when date passes
      (LP: #1855148)
    - vmtests: drop disco tests using a tool to automate the process

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 13 Feb 2020 21:08:59 -0600

curtin (19.3-17-g50ffca46-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - clear-holders: ensure we wipe device even if multipath enabled not not mp

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 30 Jan 2020 12:52:02 -0600

curtin (19.3-16-g941c43ff-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - block_meta: use reliable fs_spec entries for block devices (LP: #1851899)
    - multipath: handle removal of multipath partitions correctly
      (LP: #1857042)

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 30 Jan 2020 12:49:27 -0600

curtin (19.3-14-ga45a54ca-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - vmtests: skip Focal deploying Centos70 ScsiBasic
    - vmtests: fix network mtu tests, separating ifupdown vs networkd
    - doc: Fix kexec documentation bug. [Mike Pontillo]
    - vmtests: Add Focal Fossa
    - centos: Add centos/rhel 8 support, enable UEFI Secure Boot
      [Lee Trager] (LP: #1788088)
    - Bump XFS /boot skip-by date out a while
    - vmtest: Fix a missing unset of OUTPUT_FSTAB
    - curthooks: handle s390x/aarch64 kernel install hooks (LP: #1856038)
    - clear-holders: handle arbitrary order of devices to clear
    - curthooks: only run update-initramfs in target once (LP: #1842264)
    - test_network_mtu: bump fixby date for MTU tests
    - block-discover: don't skip partitions on virtual devices (LP: #1853018)
    - block-discover: handle partial probe data (LP: #1852351)
    - Fix parsing of squashfs: uri prefix for installation sources
      [Daniel Fox] (LP: #1851271)
    - Release 19.3 (LP: #1851390)
    - Update HACKING.rst with Josh Powers contact info.

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 16 Jan 2020 15:17:41 -0600

curtin (19.2-44-g8e618b34-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - t/jenkins-runner: replace $EPOCHSECONDS with 'date +%s' [Paride Legovini]
    - curthooks: skip setup_kernel_img_conf on eoan and newer (LP: #1847257)
    - block_meta: use lookup for wwn, fix fallback from wwn, serial, path
      (LP: #1849322)
    - vmtest: Adjust TestScsiBasic to use dnames to find correct disk
    - schema: Add ptable value 'unsupported' (LP: #1848535)
    - tools/xkvm: add -nographic to speed up devopt query
    - test_block_dasd: fix random_device_id to only generate valid IDs
      (LP: #1849549)
    - vmtest: update skip_if_arch message
    - Add skip_by_date to eoan ipv6 vlan test
    - storage_config: interpret value, not presence, of
      DM_MULTIPATH_DEVICE_PATH [Michael Hudson-Doyle]
    - vmtest: Add skip_by_date for test_ip_output on eoan + vlans
    - block-schema: update raid schema for preserve and metadata
    - dasd: update partition table value to 'vtoc' (LP: #1847073)
    - clear-holders: increase the level for devices with holders by one
      (LP: #1844543)
    - tests: mock timestamp used in collect-log file creation (LP: #1847138)
    - ChrootableTarget: mount /run to resolve lvm/mdadm issues which
      require it.
    - block-discover: handle multipath disks (LP: #1839915)
    - Handle partial raid on partitions (LP: #1835091)
    - install: export zpools if present in the storage-config (LP: #1838278)
    - block-schema: allow 'mac' as partition table type (LP: #1845611)
    - jenkins-runner: disable the lockfile timeout by default [Paride Legovini]
    - curthooks: use correct grub-efi package name on i386 (LP: #1845914)
    - vmtest-sync-images: remove unused imports [Paride Legovini]
    - vmtests: use file locking on the images [Paride Legovini]
    - vmtest: enable arm64 [Paride Legovini]
    - Make the vmtests/test_basic test suite run on ppc64el [Paride Legovini]
    - vmtests: separate arch and target_arch in tests [Paride Legovini]
    - vmtests: new decorator: skip_if_arch [Paride Legovini]
    - vmtests: increase the VM memory for Bionic
    - vmtests: Skip Eoan ZFS Root tests until bug fix is complete
    - Merge branch 'fix_merge_conflicts'
    - util: add support for 'tbz', 'txz' tar format types to sanitize_source
      (LP: #1843266)
    - net: ensure eni helper tools install if given netplan config
      (LP: #1834751)
    - d/control: update Depends for new probert package names
      [Dimitri John Ledkov]

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 01 Nov 2019 14:06:13 -0500

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
          lvm2,
          mdadm,
          parted,
-         probert,
+         probert-storage | probert,
          python3-curtin (= ${binary:Version}),
          udev,
          xfsprogs,

## curtin 20.1-2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
 CWD := $(shell pwd)
-PYTHON ?= python3
+PYTHON2 ?= python2
+PYTHON3 ?= python3
 COVERAGE ?= 1
 DEFAULT_COVERAGEOPTS = --with-coverage --cover-erase --cover-branches --cover-package=curtin --cover-inclusive 
 ifeq ($(COVERAGE), 1)
@@ -9,6 +10,8 @@
 CURTIN_VMTEST_IMAGE_SYNC ?= False
 export CURTIN_VMTEST_IMAGE_SYNC
 noseopts ?= -vv --nologcapture
+pylintopts ?= --rcfile=pylintrc --errors-only
+target_dirs ?= curtin tests tools
 
 build:
 
@@ -26,16 +29,22 @@
 	@$(CWD)/tools/run-pep8
 
 pyflakes:
-	@$(CWD)/tools/run-pyflakes
+	$(PYTHON2) -m pyflakes $(target_dirs)
 
 pyflakes3:
-	@$(CWD)/tools/run-pyflakes3
+	$(PYTHON3) -m pyflakes $(target_dirs)
+
+pylint:
+	$(PYTHON2) -m pylint $(pylintopts) $(target_dirs)
+
+pylint3:
+	$(PYTHON3) -m pylint $(pylintopts) $(target_dirs)
 
 unittest2:
-	nosetests $(coverageopts) $(noseopts) tests/unittests
+	$(PYTHON2) -m nose $(coverageopts) $(noseopts) tests/unittests
 
 unittest3:
-	nosetests3 $(coverageopts) $(noseopts) tests/unittests
+	$(PYTHON3) -m nose $(coverageopts) $(noseopts) tests/unittests
 
 unittest: unittest2 unittest3
 
@@ -53,7 +62,7 @@
 
 # By default don't sync images when running all tests.
 vmtest: schema-validate
-	nosetests3 $(noseopts) tests/vmtests
+	$(PYTHON3) -m nose $(noseopts) tests/vmtests
 
 vmtest-deps:
 	@$(CWD)/tools/vmtest-system-setup

=== requirements.txt ===
pyyaml
oauthlib
# For validation of storate configuration format
jsonschema

## curtin 20.1-2-g42a9667f

=== debian/changelog ===
curtin (20.1-2-g42a9667f-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1881003)
    - vmtests: update skiptests
    - vmtest: allow installed centos images to reboot
    - Release 20.1
    - Handle multiple separators which were found in TestAllindata vmtest
    - verify_ptable_flag: dos primary partitions use ptable_uuid map for flag
    - net_meta: add disabled mode to skip writing any network config
      [Lucas Moura]
    - vmtest: trigger guest panic to fail fast
    - Replace grub-shell-helper with install_grub command
    - vmtest-sync-images: update the URL of the maas streams [Paride Legovini]
    - Replace references to old team manager with new team manager
      [James Falcon]
    - tox: pin flake8 to version and add a tip-flake8 environment
      [Paride Legovini]
    - Fix flake8 E741 warning [Lucas Moura]
    - Makefile: make adjustments to call lint/style tools via python module
    - block-discover: ignore invalid id_serial/id_wwn values
    - Fix handing of reusing msdos partitions and flags
    - block.detect_multipath: ignore fake "devices" from /proc/mounts
      [Michael Hudson-Doyle]
    - udev: use shlex.quote when shlex.split errors on shell-escape chars
    - lvm: don't use vgscan --mknodes
    - vmtest: rsync don't cross filesystem boundaries when copying
    - vmtest: basic/basic_scsi adjust collect/tests for unstable device names
    - Add unittests for partition_handler calc_[dm]_part_info and kpartx paths
    - multipath: attempt to enforce /dev/mapper/mpath files are symlinks
    - block-meta: device mapper partitions may be block devices not links
    - Default to dm_name being id if empty earlier in dm_crypt_handler()
      [Łukasz 'sil2100' Zemczak]
    - storage: correct declared schema draft version for storage schema
    - test_clear_holders: add missing zfs mock
    - Mock out zfs_supported to prevent attempting to load kernel modules
    - block-meta: skip wipe device paths if not present
    - unittest: do not allow util.subp by default
    - curthooks: support multiple ESP on UEFI bootable systems
    - block-discover: handle missing multipath 'path' data, use DM_NAME
    - lvm-over-multipath: handle lookups of multipath members
    - block-meta: don't filter preserve=true devices, select by wipe
    - vmtest: basic use dname to lookup disk with multiple partitions
    - block-meta: Don't check the ptable type of a disk with no ptable
    - curthooks: always use ChrootableTarget.subp when calling efibootmgr
    - storage: enable and use multipath during storage configuration
    - block-discover: detect nvme multipath devices
    - clear-holders: Tolerate vgchange errors during discovery
    - block-meta: handle preserve with vtoc ptable
    - vmtest: use -partition file for TestReuseRAIDMemberPartition class
    - format: extra_options should be a list type
    - tox: add pyflakes to the default tox run [Paride Legovini]
    - storage_config: Add 'extra_options' parameter to allow custom mkfs
    - Add support for installing Ubuntu Core 20 images
    - tox.ini: Fix issues with newer tox on focal
    - vmtest: Fix test_basic.py to run on s390x
    - vmtest: use util.load_file for loading collect files
    - block-meta: refactor storage_config preserve and wipe settings
    - block-discover: skip 'multipath' key in blockdevice if mpath name is None
    - tox: all py27 environments should use the base py27 deps
    - uefi: refactor efibootmg handling to support removing duplicate entries
    - tox: pin setuptools < 45 to allow installing py27 in virtenv
    - block-discover: add dasd parser and emit dasd storage config

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 28 May 2020 17:39:13 -0500

curtin (19.3-26-g82f23e3d-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1861452)
    - install-grub: refactor uefi partition/disk searching
    - doc: update Canonical contributors URL [Paul Tobias]
    - block-discover: detect additional "extended" partition types in MBR
    - vmtests: skip focal bcache tests due to kernel bug
    - net/deps.py: detect openvswitch cfg and install openvswitch packages
    - vmtest: collection of vmtest related fixes to make things triple green
    - clear-holders: umap the parent mpath to wipe the underlying partitions
    - vmtests: bump fixby date out and fix false positive when date passes
    - vmtests: drop disco tests using a tool to automate the process

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 14 Feb 2020 09:52:04 -0600

curtin (19.3-17-g50ffca46-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1861452)
    - clear-holders: ensure we wipe device even if multipath enabled not not mp
    - block_meta: use reliable fs_spec entries for block devices
    - multipath: handle removal of multipath partitions correctly
    - vmtests: skip Focal deploying Centos70 ScsiBasic
    - vmtests: fix network mtu tests, separating ifupdown vs networkd
    - doc: Fix kexec documentation bug. [Mike Pontillo]
    - vmtests: Add Focal Fossa
    - centos: Add centos/rhel 8 support, enable UEFI Secure Boot [Lee Trager]
    - Bump XFS /boot skip-by date out a while
    - vmtest: Fix a missing unset of OUTPUT_FSTAB
    - curthooks: handle s390x/aarch64 kernel install hooks
    - clear-holders: handle arbitrary order of devices to clear
    - curthooks: only run update-initramfs in target once
    - test_network_mtu: bump fixby date for MTU tests
    - block-discover: don't skip partitions on virtual devices
    - block-discover: handle partial probe data
    - Fix parsing of squashfs: uri prefix for installation sources [Daniel Fox]
    - Release 19.3
    - Update HACKING.rst with Josh Powers contact info.
    - t/jenkins-runner: replace $EPOCHSECONDS with 'date +%s' [Paride Legovini]
    - curthooks: skip setup_kernel_img_conf on eoan and newer
    - block_meta: use lookup for wwn, fix fallback from wwn, serial, path


=== debian/control ===
--- 
+++ 
@@ -5,11 +5,21 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7),
                dh-python,
+               pep8,
+               pyflakes,
+               python-all,
+               python-coverage,
+               python-mock,
+               python-nose,
+               python-oauthlib,
+               python-setuptools,
+               python-yaml,
                python3,
                python3-coverage,
                python3-mock,
                python3-nose,
                python3-oauthlib,
+               python3-pyflakes | pyflakes (<< 1.1.0-2),
                python3-setuptools,
                python3-yaml
 Homepage: http://launchpad.net/curtin
@@ -26,7 +36,6 @@
          lvm2,
          mdadm,
          parted,
-         probert-storage | probert,
          python3-curtin (= ${binary:Version}),
          udev,
          xfsprogs,
@@ -44,6 +53,19 @@
 Description: Library and tools for curtin installer
  This package contains utilities for the curtin installer.
 
+Package: python-curtin
+Section: python
+Architecture: all
+Priority: extra
+Depends: curtin-common (= ${binary:Version}),
+         python-oauthlib,
+         python-yaml,
+         wget,
+         ${misc:Depends},
+         ${python:Depends}
+Description: Library and tools for curtin installer
+ This package provides python library for use by curtin.
+
 Package: python3-curtin
 Section: python
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

PYVERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

DEB_VERSION := $(shell dpkg-parsechangelog --show-field=Version)
UPSTREAM_VERSION := $(shell x="$(DEB_VERSION)"; echo "$${x%-*}")
PKG_VERSION := $(shell x="$(DEB_VERSION)"; echo "$${x\#\#*-}")

%:
	dh $@ --with=python2,python3

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(PY3VERS) $(PYVERS); do \
		$$python setup.py build --executable=/usr/bin/python && \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done
	chmod 755 $(CURDIR)/debian/tmp/usr/lib/curtin/helpers/*
	for f in $$(find $(CURDIR)/debian/tmp/usr/lib -type f -name version.py); do [ -f "$$f" ] || continue; sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' "$$f"; done

## curtin 20.2

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 endif
 CURTIN_VMTEST_IMAGE_SYNC ?= False
 export CURTIN_VMTEST_IMAGE_SYNC
-noseopts ?= -vv --nologcapture
+noseopts ?= -vv
 pylintopts ?= --rcfile=pylintrc --errors-only
 target_dirs ?= curtin tests tools

=== debian/changelog ===
curtin (20.2-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Release 20.2 (LP: #1896947)
    - Fix the py3 pylint ci run [Paride Legovini]

 -- Paride Legovini <paride.legovini@canonical.com>  Fri, 25 Sep 2020 22:44:41 +0200

curtin (20.1-29-g81144052-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - vmtest: Fix multiple issues with vmtest on master
    - Refactor uefi_remove_duplicates into find/remove functions for reuse
    - distro: run apt-get clean after dist-upgrade, install, upgrade
    - curthooks: UEFI remove dupes: don't remove BootCurrent, config option
      (LP: #1894217)
    - Pin the dependency on pyrsistent [Paride Legovini]
    - restore default of grub.update_nvram to True in install_grub
      [Michael Hudson-Doyle]
    - block: disk_to_byid_path handle missing /dev/disk/by-id directory
      (LP: #1876258)
    - UEFI: Handle missing BootCurrent entry when reordering UEFI entries
      (LP: #1789650)
    - dasd: fix off-by-one device_id devno range check [Paride Legovini]
    - curthooks: uefi_find_grub_device_ids handle type:mount without path
      (LP: #1892242)
    - netplan openvswitch yaml changed (LP: #1891608)
    - tools/curtainer: do not wait for snapd.seeded.service
    - tools/curtainer: enable using ubuntu-minimal images
    - vmtests: add Groovy [Paride Legovini]
    - Drop the Eoan vmtests (EOL) [Paride Legovini]
    - tools: rename remove-vmtest-release to vmtest-remove-release
    - Snooze the tests failing because of LP: #1861941 for two more months
      [Paride Legovini]
    - LP: #1671951 is Fix Released => Drop the PPA [Paride Legovini]
    - swaps: handle swapfiles on btrfs (LP: #1884161)
    - curtainer: fail is masking of zfs-mount or zfs-share fails
      [Paride Legovini]
    - multipath: handle multipath nvme name fields correctly (LP: #1878041)
    - curtainer: mask the zfs-mount and zfs-share services [Paride Legovini]
    - tools/jenkins-runner: shuffle test-cases to randomize load
      [Paride Legovini]
    - Add Trusty/UEFI/HWE-X vmtest, drop realpath add, drop shell code
    - LP: #1881977 - Install realpath on Trusty UEFI. [Lee Trager]
    - vmtests: fix PreservePartitionWipeVg storage config
    - Fix mdraid name creates broken configuration
      [James Falcon] (LP: #1803933)
    - vmtests: update skiptests
    - vmtest: allow installed centos images to reboot (LP: #1881011)

 -- Paride Legovini <paride.legovini@canonical.com>  Mon, 14 Sep 2020 17:53:15 +0200

curtin (20.1-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Release 20.1 (LP: #1880741)
    - Handle multiple separators which were found in TestAllindata vmtest
    - verify_ptable_flag: dos primary partitions use ptable_uuid map for flag
      (LP: #1878890)
    - net_meta: add disabled mode to skip writing any network config
      [Lucas Moura]
    - vmtest: trigger guest panic to fail fast
    - Replace grub-shell-helper with install_grub command
    - vmtest-sync-images: update the URL of the maas streams [Paride Legovini]
    - Replace references to old team manager with new team manager
      [James Falcon]
    - tox: pin flake8 to version and add a tip-flake8 environment
      [Paride Legovini]
    - Fix flake8 E741 warning [Lucas Moura]

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 26 May 2020 16:31:39 -0500

curtin (19.3-68-g6cbdc02d-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - Makefile: make adjustments to call lint/style tools via python module
    - block-discover: ignore invalid id_serial/id_wwn values (LP: #1876848)
    - Fix handing of reusing msdos partitions and flags (LP: #1875903)
    - block.detect_multipath: ignore fake "devices" from /proc/mounts
      [Michael Hudson-Doyle] (LP: #1876626)
    - udev: use shlex.quote when shlex.split errors on shell-escape chars
      (LP: #1875085)
    - lvm: don't use vgscan --mknodes
    - vmtest: rsync don't cross filesystem boundaries when copying
      (LP: #1873909)
    - vmtest: basic/basic_scsi adjust collect/tests for unstable device names
      (LP: #1874100)
    - Add unittests for partition_handler calc_[dm]_part_info and kpartx paths
    - multipath: attempt to enforce /dev/mapper/mpath files are symlinks
    - block-meta: device mapper partitions may be block devices not links
    - Default to dm_name being id if empty earlier in dm_crypt_handler()
      [Łukasz 'sil2100' Zemczak] (LP: #1874243)
    - storage: correct declared schema draft version for storage schema
    - test_clear_holders: add missing zfs mock
    - Mock out zfs_supported to prevent attempting to load kernel modules
    - block-meta: skip wipe device paths if not present (LP: #1869075)
    - unittest: do not allow util.subp by default (LP: #1873913)
    - curthooks: support multiple ESP on UEFI bootable systems
    - block-discover: handle missing multipath 'path' data, use DM_NAME
      (LP: #1873728)
    - lvm-over-multipath: handle lookups of multipath members (LP: #1869075)
    - block-meta: don't filter preserve=true devices, select by wipe
      (LP: #1837214)
    - vmtest: basic use dname to lookup disk with multiple partitions
    - block-meta: Don't check the ptable type of a disk with no ptable
    - curthooks: always use ChrootableTarget.subp when calling efibootmgr
    - storage: enable and use multipath during storage configuration
      (LP: #1869075)
    - block-discover: detect nvme multipath devices (LP: #1868109)
    - clear-holders: Tolerate vgchange errors during discovery (LP: #1870037)
    - block-meta: handle preserve with vtoc ptable (LP: #1871158)
    - vmtest: use -partition file for TestReuseRAIDMemberPartition class
    - format: extra_options should be a list type
    - tox: add pyflakes to the default tox run [Paride Legovini]
    - storage_config: Add 'extra_options' parameter to allow custom mkfs
      (LP: #1869069)
    - Add support for installing Ubuntu Core 20 images
    - tox.ini: Fix issues with newer tox on focal


## curtin 21.2

=== debian/changelog ===
curtin (21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
    - Release 21.2 [Michael Hudson-Doyle] (LP: #1913357)
    - Revert "apt_config: stop using the deprecated apt-key command"
      [Michael Hudson-Doyle] (LP: #1912801)
    - partition_handler: fix NameError when reusing a vtoc partition
      [Michael Hudson-Doyle]
    - install_grub: convert in-target EFI loader path to ESP path.
      [Dimitri John Ledkov] (LP: #1906379)
    - block: fixes for verifying existing multipath partitions
      [Michael Hudson-Doyle]
    - multipath: use udev DM_NAME for find_mpath_id, fix 4k sector calc
      [Michael Hudson-Doyle] (LP: #1878041)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 27 Jan 2021 16:44:21 +1300

curtin (21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
    - Release 21.1 [Michael Hudson-Doyle] (LP: #1911841)
    - This adds arm64 compatibility for RH installations [Mark Klein]
    - vmtest: add Hirsute release classes, tool to add vmtest class
      [Ryan Harper]
    - vmtest: fix image-sync after maas URL stream rename
      [Ryan Harper] (LP: #1908543)
    - storage_config: set ptable to vtoc for 'virt' dasds as well as 'ECKD'
      [Michael Hudson-Doyle]
    - install_grub: Fix bootloader-id for RHEL systems, must be redhat
      [Ryan Harper] (LP: #1906543)
    - vmtests: remove LP: #1888726 skip_by_date decorators
    - storage_config: only produce type: dasd actions for ECKD dasds
      [Michael Hudson-Doyle]
    - storage_config: handle some FBA dasd oddities [Michael Hudson-Doyle]
    - apt_config: stop using the deprecated apt-key command
      [Nishanth Aravamudan] (LP: #1892494)
    - allow adding a vtoc partition without a device id [Michael Hudson-Doyle]
    - simplify dasdview parsing code [Michael Hudson-Doyle]
    - fix construction of DasdPartitionTable from fdasd output
      [Michael Hudson-Doyle]
    - Don't install grub if it is already found on CentOS/RHEL
      [Lee Trager] (LP: #1895067)
    - vmtests: Replace newly added Eoan test with Groovy [Ryan Harper]
    - vmtests: test using a disk with RAID partition on it directly in a RAID
      [Michael Hudson-Doyle]
    - fix verification of vtoc partitions [Michael Hudson-Doyle] (LP: #1899471)
    - create an empty vtoc in disk_handler [Michael Hudson-Doyle]
    - remove unused parameters from dasd code [Michael Hudson-Doyle]
    - remove support for calling get_path_to_storage_volume on a dasd action
      [Michael Hudson-Doyle]
    - clear-holders: fix identification of multipath partitions
      [Ryan Harper] (LP: #1900900)
    - vmtests: remove skip_by_dates for now-fixed bcache issue
    - debian/rules: drop PKG_VERSION and UPSTREAM_VERSION [Paride Legovini]
    - deb packaging: fully cleanup directory tree after build
      [Paride Legovini] (LP: #1899698)
    - udevadm_info should use maxsplit=1 instead of maxsplit=2
      [Sergey Bykov] (LP: #1895021)
    - vmtests/multipath-lvm: dont assume device-mapper block names
      [Ryan Harper] (LP: #1898758)
    - vmtest: fix the groovy arm64 subarch [Paride Legovini] (LP: #1898757)
    - tools/curtainer: dearmor gpg key and use apt-key add
      [Ryan Harper] (LP: #1898609)
    - Support imsm external metadata RAID containers
      [Gyorgy Szombathelyi] (LP: #1893661)
    - Drop tools/new-upstream-snapshot [Paride Legovini]

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 15 Jan 2021 17:07:35 +1300
